Index: /extensions/File_Uploader/admin/admin_configuration.php
===================================================================
--- /extensions/File_Uploader/admin/admin_configuration.php	(revision 19820)
+++ /extensions/File_Uploader/admin/admin_configuration.php	(revision 19821)
@@ -13,4 +13,7 @@
 	}
 	
+	$conf_file_uploader['pdf2tab_extensions'] = $_POST['file_uploader_pdf2tab_extensions'];
+	$conf_file_uploader['pdf2tab_extensions'] = explode(',', $conf_file_uploader['pdf2tab_extensions']);
+	
 	//Save
 	conf_update_param('file_uploader', serialize($conf_file_uploader));
@@ -21,6 +24,9 @@
 foreach ($conf_file_uploader as $file_uploader_key => $value)
 	$file_uploader_checked[$file_uploader_key] = (($conf_file_uploader[$file_uploader_key] == 1) ? 'checked = "checked"' : '');
+$template->assign('file_uploader_checked', $file_uploader_checked);
 
-$template->assign('file_uploader_checked', $file_uploader_checked);
+if ($conf_file_uploader['pdf2tab_extensions'][0]=='')
+		$conf_file_uploader['pdf2tab_extensions'] = null;
+$template->assign('file_uploader_pdf2tab_extensions',$conf_file_uploader['pdf2tab_extensions']);
 
 //Add our template to the global template
Index: /extensions/File_Uploader/admin/admin_configuration.tpl
===================================================================
--- /extensions/File_Uploader/admin/admin_configuration.tpl	(revision 19820)
+++ /extensions/File_Uploader/admin/admin_configuration.tpl	(revision 19821)
@@ -1,2 +1,24 @@
+{include file='include/colorbox.inc.tpl'}
+
+{combine_script id='jquery.tokeninput' load='async' require='jquery' path='themes/default/js/plugins/jquery.tokeninput.js'}
+{footer_script require='jquery.tokeninput'}
+jQuery(document).ready(function() {ldelim}
+	jQuery('select[name="file_uploader_pdf2tab_extensions"]').tokenInput(
+		[{foreach from=$extensions item=extension name=extensions}{ldelim}"{$extension|@escape:'javascript'}"{rdelim}{if !$smarty.foreach.extensions.last},{/if}{/foreach}],
+    {ldelim}
+      hintText: '{'file_uploader_pdf2tab_hint_text'|@translate}',
+      noResultsText: '',
+      searchingText: '',
+      newText: '',
+      animateDropdown: false,
+      preventDuplicates: true,
+      allowCreation: true
+    }
+  );
+
+  jQuery("a.preview-box").colorbox();
+});
+{/footer_script}
+
 <div class="titrePage">
   <h2>{'File Uploader Plugin'|@translate}</h2>
@@ -9,4 +31,14 @@
 			<label><input type="checkbox" name="file_uploader_checkbox[new_tab]" value="1" {$file_uploader_checked.new_tab}> {'Open files in a new tab'|@translate}</label>
 		</p>
+		<p id="file_uploader_pdf2tab_supported_extensions">
+			{'file_uploader_pdf2tab_supported_extensions_description'|@translate}
+		</p>
+		<p id="file_uploader_pdf2tab_supported_extensions">	
+			<select name="file_uploader_pdf2tab_extensions">
+				{foreach from=$file_uploader_pdf2tab_extensions item=file_uploader_pdf2tab_extension}
+					<option value="{$file_uploader_pdf2tab_extension}" class="selected">{$file_uploader_pdf2tab_extension}</option>
+				{/foreach}
+			</select>
+		</p>
 		<p>
 			<label><input type="checkbox" name="file_uploader_checkbox[overwrite]" value="1" {$file_uploader_checked.overwrite}> {'Overwrite files without notice'|@translate}</label>
Index: /extensions/File_Uploader/install/config_default.inc.php
===================================================================
--- /extensions/File_Uploader/install/config_default.inc.php	(revision 19820)
+++ /extensions/File_Uploader/install/config_default.inc.php	(revision 19821)
@@ -35,4 +35,5 @@
 	'new_tab' => 1,
 	'overwrite' => 0,
+	'pdf2tab_extensions' => array('pdf', 'docx', 'doc', 'odt', 'xlsx', 'xls', 'ods', 'pptx', 'ppt', 'odp'),
 );
 
Index: /extensions/File_Uploader/install/functions.inc.php
===================================================================
--- /extensions/File_Uploader/install/functions.inc.php	(revision 19820)
+++ /extensions/File_Uploader/install/functions.inc.php	(revision 19821)
@@ -1,3 +1,35 @@
 <?php
+function file_uploader_install($config) {
+	$query = 'INSERT INTO '.CONFIG_TABLE.' (param,value,comment) VALUES ("file_uploader" ,"'.pwg_db_real_escape_string(serialize($config)).'", "File Uploader plugin parameters");';
+	pwg_query($query);
+}
+
+function file_uploader_update_db() {
+	global $conf;
+	include(dirname(__FILE__).'/config_default.inc.php');
+
+	$config = array();
+	if (isset($conf['file_uploader']))
+		$conf_file_uploader = unserialize($conf['file_uploader']);
+	
+	if (isset($conf_file_uploader)) {
+		foreach ($config_default as $key => $value) {
+			if (isset($conf_file_uploader[$key]))
+				$config[$key] = $conf_file_uploader[$key];
+			else
+				$config[$key] = $config_default[$key];
+		}
+		file_uploader_delete_conf("file_uploader");
+		file_uploader_install($config);
+	} else {
+		file_uploader_install($config_default);
+	}
+}
+
+function file_uploader_delete_conf($where) {
+	$query = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE (param="'.$where.'");';
+	pwg_query($query);
+}
+
 function file_uploader_folder($file_uploader_galleries_folder, $file_uploader_galleries_dir) {
 	//If the directory does not exist, we create it
Index: /extensions/File_Uploader/install/index.php
===================================================================
--- /extensions/File_Uploader/install/index.php	(revision 19821)
+++ /extensions/File_Uploader/install/index.php	(revision 19821)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/File_Uploader/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/da_DK/plugin.lang.php	(revision 19820)
+++ /extensions/File_Uploader/language/da_DK/plugin.lang.php	(revision 19821)
@@ -26,5 +26,5 @@
 $lang['No file to upload'] = 'Der er ingen fil at uploade';
 $lang['Open files in a new tab'] = 'Åbn filer i et nyt faneblad';
-$lang['Open the file in a new tab'] = 'Åbn filen i et nyt faneblad';
+$lang['file_uploader_pdf2tab_tooltip'] = 'Åbn filen i et nyt faneblad';
 $lang['Overwrite files without notice'] = 'Overskriv filer uden advarsel';
 $lang['Piwigo is a free software (opensource software), you can use it for free and this is not going to change. Donations are collected by the Piwigo Foundation (non profit organization) to cover project fees.'] = 'Piwigo er fri software (open source-software), som du frit kan anvende og vil altid være det. Donationer modtages af Piwigo Foundation (nonprofitnorganisation) med det formål at dække projektomkostninger.';
Index: /extensions/File_Uploader/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/de_DE/plugin.lang.php	(revision 19820)
+++ /extensions/File_Uploader/language/de_DE/plugin.lang.php	(revision 19821)
@@ -24,5 +24,5 @@
 $lang['No file to upload'] = 'Keine Datei zum hochladen';
 $lang['Open files in a new tab'] = 'Öffne Datei in neuem TAB';
-$lang['Open the file in a new tab'] = 'Öffne die Datei in einem neuen TAB';
+$lang['file_uploader_pdf2tab_tooltip'] = 'Öffne die Datei in einem neuen TAB';
 $lang['Overwrite files without notice'] = 'Überschreibe Datei ohne Warnhinweis';
 $lang['Piwigo is a free software (opensource software), you can use it for free and this is not going to change. Donations are collected by the Piwigo Foundation (non profit organization) to cover project fees.'] = 'Piwigo ist eine freie Software (Open Source), Du kannst sie kostenlos benutzen. Piwigo wird stets kostenlos bleiben. Spenden werden von der Piwigo Foundation (nicht kommerzielle Organisation) verwendet um Projektkosten zu decken.';
Index: /extensions/File_Uploader/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/el_GR/plugin.lang.php	(revision 19820)
+++ /extensions/File_Uploader/language/el_GR/plugin.lang.php	(revision 19821)
@@ -31,5 +31,5 @@
 $lang['Piwigo is a free software (opensource software), you can use it for free and this is not going to change. Donations are collected by the Piwigo Foundation (non profit organization) to cover project fees.'] = 'Το Piwigo είναι δωρεάν λογισμικό (λογισμικό ανοικτού κώδικα), μπορείτε να το χρησιμοποιήσετε ελεύθερα και αυτό δεν πρόκειται να αλλάξει. Δωρεές συλλέγονται από το Ίδρυμα Piwigo Foundation (μη κερδοσκοπικός οργανισμός) για την κάλυψη των αμοιβών του έργου.';
 $lang['Overwrite files without notice'] = 'Αντικατάσταση αρχείων χωρίς προειδοποίηση';
-$lang['Open the file in a new tab'] = 'Ανοίξτε το αρχείο σε μια νέα καρτέλα';
+$lang['file_uploader_pdf2tab_tooltip'] = 'Ανοίξτε το αρχείο σε μια νέα καρτέλα';
 $lang['Open files in a new tab'] = 'Ανοίξτε το αρχεία σε μια νέα καρτέλα';
 $lang['No file to upload'] = 'Δεν υπάρχει αρχείο για να φορτώσετε';
Index: /extensions/File_Uploader/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/en_UK/plugin.lang.php	(revision 19820)
+++ /extensions/File_Uploader/language/en_UK/plugin.lang.php	(revision 19821)
@@ -54,4 +54,4 @@
 //pdf2tab
 //picture.php
-$lang['Open the file in a new tab'] = 'Open the file in a new tab';
+$lang['file_uploader_pdf2tab_tooltip'] = 'Open the file in a new tab';
 ?>
Index: /extensions/File_Uploader/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/es_ES/plugin.lang.php	(revision 19820)
+++ /extensions/File_Uploader/language/es_ES/plugin.lang.php	(revision 19821)
@@ -26,5 +26,5 @@
 $lang['No file to upload'] = 'Ningun archivo para subir';
 $lang['Open files in a new tab'] = 'Abrir archivos en una nueva pestaña';
-$lang['Open the file in a new tab'] = 'Abrir archivo en una nueva pestaña';
+$lang['file_uploader_pdf2tab_tooltip'] = 'Abrir archivo en una nueva pestaña';
 $lang['Overwrite files without notice'] = 'Sobrescribir archivos sin notificarlo';
 $lang['Piwigo is a free software (opensource software), you can use it for free and this is not going to change. Donations are collected by the Piwigo Foundation (non profit organization) to cover project fees.'] = 'Piwigo es un software gratuito (código abierto), puedes usarlo gratis y esto no va a cambiar. Las donaciones son recolectadas por la fundación Piwigo (sin ánimo de lucro) para cubrir los gastos del proyecto.';
Index: /extensions/File_Uploader/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/fr_FR/plugin.lang.php	(revision 19820)
+++ /extensions/File_Uploader/language/fr_FR/plugin.lang.php	(revision 19821)
@@ -54,4 +54,4 @@
 //pdf2tab
 //picture.php
-$lang['Open the file in a new tab'] = 'Ouvrir le fichier dans un nouvel onglet';
+$lang['file_uploader_pdf2tab_tooltip'] = 'Ouvrir le fichier dans un nouvel onglet';
 ?>
Index: /extensions/File_Uploader/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/hu_HU/plugin.lang.php	(revision 19820)
+++ /extensions/File_Uploader/language/hu_HU/plugin.lang.php	(revision 19821)
@@ -31,5 +31,5 @@
 $lang['Specify a thumbnail for your file'] = 'Adja meg a bélyegkép fájlt';
 $lang['Type of file not supported'] = 'A fájltípus nem támogatott';
-$lang['Open the file in a new tab'] = 'Nyissa meg a fájlt egy új fülön';
+$lang['file_uploader_pdf2tab_tooltip'] = 'Nyissa meg a fájlt egy új fülön';
 $lang['There have been errors. See below'] = 'Hibák történtek. Lásd alább';
 $lang['File upload stopped by extension'] = 'A fájl feltöltést leállította a bővítmény';
Index: /extensions/File_Uploader/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/tr_TR/plugin.lang.php	(revision 19820)
+++ /extensions/File_Uploader/language/tr_TR/plugin.lang.php	(revision 19821)
@@ -39,5 +39,5 @@
 $lang['No file to upload'] = 'Yükleyecek dosya yok';
 $lang['Open files in a new tab'] = 'PDF dosyaların yeni sekmede aç';
-$lang['Open the file in a new tab'] = 'Dosyayı yeni sekmede aç';
+$lang['file_uploader_pdf2tab_tooltip'] = 'Dosyayı yeni sekmede aç';
 $lang['Overwrite files without notice'] = 'Uyarmaksızın dosyaların üzerine yaz';
 $lang['Specify a file to upload'] = 'Yüklenecek bir dosya seçin';
Index: /extensions/File_Uploader/main.inc.php
===================================================================
--- /extensions/File_Uploader/main.inc.php	(revision 19820)
+++ /extensions/File_Uploader/main.inc.php	(revision 19821)
@@ -57,4 +57,5 @@
 	//add a stylesheet
 	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.FILE_UPLOADER_PATH.'admin/admin.css">');
+	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.FILE_UPLOADER_PDF2TAB_ABSOLUTE_PATH.'css/admin.css">');
 }
 ?>
Index: /extensions/File_Uploader/maintain.inc.php
===================================================================
--- /extensions/File_Uploader/maintain.inc.php	(revision 19820)
+++ /extensions/File_Uploader/maintain.inc.php	(revision 19821)
@@ -6,6 +6,5 @@
 	include_once(dirname(__FILE__).'/install/functions.inc.php');
 
-	$query = 'INSERT INTO '.CONFIG_TABLE.' (param,value,comment) VALUES ("file_uploader" ,"'.pwg_db_real_escape_string(serialize($config_default)).'", "File Uploader plugin parameters");';
-	pwg_query($query);
+	file_uploader_install($config_default);
 	
 	file_uploader_folder($file_uploader_galleries_folder, $file_uploader_galleries_dir);
@@ -16,10 +15,12 @@
 	include_once(dirname(__FILE__).'/install/functions.inc.php');
 	
+	file_uploader_update_db();
 	file_uploader_folder($file_uploader_galleries_folder, $file_uploader_galleries_dir);
 }
 
 function plugin_uninstall() {
-	$query = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE (param="file_uploader");';
-	pwg_query($query);
+	include_once(dirname(__FILE__).'/install/functions.inc.php');
+
+	file_uploader_delete_conf("file_uploader");
 }
 
Index: /extensions/File_Uploader/plugin_pdf2tab/css/admin.css
===================================================================
--- /extensions/File_Uploader/plugin_pdf2tab/css/admin.css	(revision 19821)
+++ /extensions/File_Uploader/plugin_pdf2tab/css/admin.css	(revision 19821)
@@ -0,0 +1,4 @@
+form.pdf2tab li {
+	clear: none !important;
+	font-weight: normal;
+}
Index: tensions/File_Uploader/plugin_pdf2tab/include/constants.inc.php
===================================================================
--- /extensions/File_Uploader/plugin_pdf2tab/include/constants.inc.php	(revision 19820)
+++ 	(revision )
@@ -1,14 +1,0 @@
-<?php
-$supported_extensions = array(
-							"pdf",
-							"docx",
-							"doc",
-							"odt",
-							"xlsx",
-							"xls",
-							"ods",
-							"pptx",
-							"ppt",
-							"odp",
-						);
-?>
Index: /extensions/File_Uploader/plugin_pdf2tab/include/picture.inc.php
===================================================================
--- /extensions/File_Uploader/plugin_pdf2tab/include/picture.inc.php	(revision 19820)
+++ /extensions/File_Uploader/plugin_pdf2tab/include/picture.inc.php	(revision 19821)
@@ -1,11 +1,13 @@
 <?php
-add_event_handler('render_element_content','pdf2tab_add_links_picture',EVENT_HANDLER_PRIORITY_NEUTRAL+10,2);
+add_event_handler('render_element_content','file_uploader_pdf2tab_add_links_picture',EVENT_HANDLER_PRIORITY_NEUTRAL+10,2);
 
-function pdf2tab_add_links_picture($content, $element_info) {
-	include_once('constants.inc.php');
-
-	if (in_array(strtolower(substr(strrchr($element_info['file'], "."),1)), $supported_extensions)) {
-		$content = pdf2tab_add_link_image($content, $element_info);
-		$content = pdf2tab_add_link_beside_image($content, $element_info);
+function file_uploader_pdf2tab_add_links_picture($content, $element_info) {
+	global $conf;
+	
+	$conf_file_uploader = unserialize($conf['file_uploader']);
+	
+	if (in_array(strtolower(substr(strrchr($element_info['file'], "."),1)), $conf_file_uploader['pdf2tab_extensions'])) {
+		$content = file_uploader_pdf2tab_add_link_image($content, $element_info);
+		$content = file_uploader_pdf2tab_add_link_beside_image($content, $element_info);
 	}
 	
@@ -13,13 +15,13 @@
 }
 
-function pdf2tab_add_link_image($content, $element_info) {
+function file_uploader_pdf2tab_add_link_image($content, $element_info) {
 	preg_match('/<\s*img\s+[^>]*?src\s*=\s*(\'|\")(.*?)\\1[^>]*?\/?\s*>/i',$content,$match);
-	$content = str_replace($match[0],'<a href="'.$element_info['element_url'].'" target="_blank" title="'.l10n('Open the file in a new tab').'">'.$match[0].'</a>',$content);
+	$content = str_replace($match[0],'<a href="'.$element_info['element_url'].'" target="_blank" title="'.l10n('file_uploader_pdf2tab_tooltip').'">'.$match[0].'</a>',$content);
 	
 	return $content;
 }
 
-function pdf2tab_add_link_beside_image($content, $element_info) {
-	$content .= '<p class="imageComment"><a href="'.$element_info['element_url'].'" target="_blank" title="'.l10n('Open the file in a new tab').'">'.l10n('Open the file in a new tab').'</a>';
+function file_uploader_pdf2tab_add_link_beside_image($content, $element_info) {
+	$content .= '<p class="imageComment"><a href="'.$element_info['element_url'].'" target="_blank" title="'.l10n('file_uploader_pdf2tab_tooltip').'">'.l10n('file_uploader_pdf2tab_tooltip').'</a>';
 	
 	return $content;
Index: /extensions/File_Uploader/plugin_pdf2tab/include/thumbnails.inc.php
===================================================================
--- /extensions/File_Uploader/plugin_pdf2tab/include/thumbnails.inc.php	(revision 19820)
+++ /extensions/File_Uploader/plugin_pdf2tab/include/thumbnails.inc.php	(revision 19821)
@@ -1,24 +1,25 @@
 <?php
-add_event_handler('loc_end_index_thumbnails', 'pdf2tab_thumbnails');
+add_event_handler('loc_end_index_thumbnails', 'file_uploader_pdf2tab_thumbnails');
 
-function pdf2tab_thumbnails($tpl_thumbnails_var) {
-	global $template;
-	include_once('constants.inc.php');
+function file_uploader_pdf2tab_thumbnails($tpl_thumbnails_var) {
+	global $template, $conf;
 	
-	$template->set_prefilter('index_thumbnails', 'pdf2tab_add_tag_thumbnails');
+	$conf_file_uploader = unserialize($conf['file_uploader']);
 	
-	$template->assign('pdf2tab_supported_extensions', $supported_extensions);
-	$template->set_filename('pdf2tab_template_thumbnails', FILE_UPLOADER_PDF2TAB_ABSOLUTE_PATH.'template/thumbnails.tpl');
-	$template->concat('PLUGIN_INDEX_CONTENT_END', $template->parse('pdf2tab_template_thumbnails', true));
+	$template->set_prefilter('index_thumbnails', 'file_uploader_pdf2tab_add_tag_thumbnails');
+	
+	$template->assign('file_uploader_pdf2tab_supported_extensions', $conf_file_uploader['pdf2tab_extensions']);
+	$template->set_filename('file_uploader_pdf2tab_template_thumbnails', FILE_UPLOADER_PDF2TAB_ABSOLUTE_PATH.'template/thumbnails.tpl');
+	$template->concat('PLUGIN_INDEX_CONTENT_END', $template->parse('file_uploader_pdf2tab_template_thumbnails', true));
 	
 	return $tpl_thumbnails_var;
 }
 
-function pdf2tab_add_tag_thumbnails($content, &$smarty) {
+function file_uploader_pdf2tab_add_tag_thumbnails($content, &$smarty) {
 	global $template;
 
 	$search = 'class="thumbnail"';
 	
-	$replacement = 'class="thumbnail" pdf2tab="{$thumbnail.path}"';
+	$replacement = 'class="thumbnail" file_uploader_pdf2tab="{$thumbnail.path}"';
 	$content= str_replace($search, $replacement, $content);
 
Index: /extensions/File_Uploader/plugin_pdf2tab/template/thumbnails.tpl
===================================================================
--- /extensions/File_Uploader/plugin_pdf2tab/template/thumbnails.tpl	(revision 19820)
+++ /extensions/File_Uploader/plugin_pdf2tab/template/thumbnails.tpl	(revision 19821)
@@ -4,23 +4,23 @@
 <script type="text/javascript">
 	//Add a link to the thumbnail
-	function pdf2tab_link() {
+	function file_uploader_pdf2tab_link() {
 		$("img[class=thumbnail]").each(function() {
-			var filename_array = $(this).attr("pdf2tab").split(".");
+			var filename_array = $(this).attr("file_uploader_pdf2tab").split(".");
 			var filename_extension = filename_array[filename_array.length-1].toLowerCase();
 			
 {/literal}
-			var pdf2tab_supported_extensions = new Array();
-			{foreach from=$pdf2tab_supported_extensions item=extension name=loop}
-				pdf2tab_supported_extensions[{$smarty.foreach.loop.index}] = "{$extension}";
+			var file_uploader_pdf2tab_supported_extensions = new Array();
+			{foreach from=$file_uploader_pdf2tab_supported_extensions item=extension name=loop}
+				file_uploader_pdf2tab_supported_extensions[{$smarty.foreach.loop.index}] = "{$extension}";
 			{/foreach}
 {literal}
-			if(jQuery.inArray(filename_extension, pdf2tab_supported_extensions) != -1)
+			if(jQuery.inArray(filename_extension, file_uploader_pdf2tab_supported_extensions) != -1)
 			{
 				$(this).closest('a').attr({
 					target: "_blank",
-					href: $(this).attr("pdf2tab")
+					href: $(this).attr("file_uploader_pdf2tab")
 				});
 {/literal}
-				$(this).attr("title","{'Open the file in a new tab'|@translate}");
+				$(this).attr("title","{'file_uploader_pdf2tab_tooltip'|@translate}");
 {literal}
 			}			
@@ -30,10 +30,10 @@
 	//When the document has finiched to load
 	jQuery(document).ready(function(){
-		pdf2tab_link();
+		file_uploader_pdf2tab_link();
 	});
   
 	//Allow pdf2tab to work with RV Thumb Scroller 
 	jQuery(window).bind("RVTS_loaded", function(){
-		pdf2tab_link();
+		file_uploader_pdf2tab_link();
 	});
 </script>