Index: /trunk/language/nl_NL/common.lang.php
===================================================================
--- /trunk/language/nl_NL/common.lang.php	(revision 19881)
+++ /trunk/language/nl_NL/common.lang.php	(revision 19882)
@@ -42,5 +42,5 @@
 $lang['%d comments to validate'] = '%d commentaren voor validatie';
 $lang['%d new comment'] = '%d nieuw commentaar';
-$lang['%d new comments'] = '%d nieuw commentaar';
+$lang['%d new comments'] = '%d nieuwe commentaren';
 $lang['%d comment'] = '%d commentaar';
 $lang['%d comments'] = '%d commentaren';
@@ -52,8 +52,8 @@
 $lang['%d new users'] = '%d nieuwe gebruikers';
 $lang['About'] = 'Over';
-$lang['All tags'] = 'Alle tags';
-$lang['Any tag'] = 'Elke tag';
+$lang['All tags'] = 'Alle label';
+$lang['Any tag'] = 'Elk label';
 $lang['At least one listed rule must be satisfied.'] = 'Op zijn minst moet aan één regel worden voldaan.';
-$lang['Author'] = 'Fotograaf';
+$lang['Author'] = 'Fotograaf/Maker';
 $lang['Albums'] = 'Albums';
 $lang['Album'] = 'Album';
@@ -101,17 +101,17 @@
 $lang['Register'] = 'Registreren';
 $lang['Registration'] = 'Registratie';
-$lang['Related tags'] = 'Aanverwante tags';
+$lang['Related tags'] = 'Aanverwante labels';
 $lang['Reset'] = 'Reset';
 $lang['Retrieve password'] = 'Ontvang nieuw wachtwoord';
 $lang['Search rules'] = 'Zoekregels';
-$lang['Search tags'] = 'Zoek tags';
+$lang['Search tags'] = 'Zoek labels';
 $lang['Search'] = 'Zoeken';
-$lang['display available tags'] = 'Toon beschikbare tags';
+$lang['display available tags'] = 'Toon de beschikbare labels';
 $lang['Since'] = 'Sinds';
 $lang['Sort by'] = 'Sorteren op';
 $lang['Sort order'] = 'Sorteervolgorde';
-$lang['Tag'] = 'Tag';
-$lang['Tags'] = 'Tags';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'De RSS feed geeft meldingen als er nieuws is op deze website: nieuwe afbeeldingen, bijgewerkte categorieën, nieuw commentaar. Gebruik hiervoor een rss lezer.';
+$lang['Tag'] = 'Label';
+$lang['Tags'] = 'Labels';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'De RSS feed geeft meldingen als er nieuws is op deze website: nieuwe afbeeldingen, bijgewerkte albums, nieuwe commentaaren. Gebruik hiervoor een RSS-feed lezer.';
 $lang['Unknown feed identifier'] = 'Onbekende feed identifier';
 $lang['User comments'] = 'Gebruikers-commentaar';
@@ -126,6 +126,6 @@
 $lang['all'] = 'alle';
 $lang['ascending'] = 'Oplopend';
-$lang['author(s) : %s'] = 'Maker(s) : %s';
-$lang['Expand all albums'] = 'Toon alle categorieën';
+$lang['author(s) : %s'] = 'Fotogra(a)f(en)/Maker(s) : %s';
+$lang['Expand all albums'] = 'Toon alle albums';
 $lang['posted after %s (%s)'] = 'geplaatst na %s (%s)';
 $lang['posted before %s (%s)'] = 'geplaatst voor %s (%s)';
@@ -145,5 +145,5 @@
 $lang['Comment'] = 'Commentaar';
 $lang['Your comment has been registered'] = 'Uw commentaar is geregistreerd';
-$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood systeem : u moet even wachten voordat u weer nieuw commentaar kunt plaatsen';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood systeem : u moet even wachten voordat u weer een nieuw commentaar kunt plaatsen';
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Uw commentaar is NIET geregistreerd omdat de validatie-regels de plaatsing voorkwam';
 $lang['An administrator must authorize your comment before it is visible.'] = 'Een beheerder moet uw commentaar goedkeuren voordat het zichtbaar wordt.';
@@ -182,5 +182,5 @@
 $lang['Hello'] = 'Hallo';
 $lang['available for administrators only'] = 'Alleen voor beheerders';
-$lang['display this album'] = 'Toont afbeeldingen van het begin van de categorie';
+$lang['display this album'] = 'Geef dit album weer';
 $lang['display last user comments'] = 'Bekijk de laatste gebruikerscommentaren';
 $lang['customize the appareance of the gallery'] = 'Weergave van de galerie aanpassen';
@@ -188,7 +188,7 @@
 $lang['Home'] = 'Startpagina';
 $lang['Identification'] = 'Administratie';
-$lang['in this album'] = 'in deze categorie';
-$lang['in %d sub-album'] = 'in %d sub-categorie';
-$lang['in %d sub-albums'] = 'in %d sub-categorieën';
+$lang['in this album'] = 'in dit album';
+$lang['in %d sub-album'] = 'in %d sub-album';
+$lang['in %d sub-albums'] = 'in %d sub-albums';
 $lang['included'] = 'inclusief';
 $lang['Invalid password!'] = 'Verkeerd wachtwoord!';
@@ -198,8 +198,8 @@
 $lang['Logout'] = 'Afmelden';
 $lang['obligatory'] = 'verplicht';
-$lang['display a calendar by creation date'] = 'Toon afbeeldingen gesorteerd op aanmaakdatum';
-$lang['display all photos in all sub-albums'] = 'Toon alle afbeeldingen in alle sub-categorieën';
+$lang['display a calendar by creation date'] = 'Toon een kalender met afbeeldingen gesorteerd op aanmaakdatum';
+$lang['display all photos in all sub-albums'] = 'Toon alle afbeeldingen in alle sub-albums';
 $lang['return to normal view mode'] = 'Terug naar de standaardweergave';
-$lang['display a calendar by posted date'] = 'Toon afbeeldingen gesorteerd op plaatsingsdatum';
+$lang['display a calendar by posted date'] = 'Toon een kalender met afbeeldingen gesorteerd op plaatsingsdatum';
 $lang['month'][10] = 'Oktober';
 $lang['month'][11] = 'November';
@@ -234,10 +234,10 @@
 $lang['Previous'] = 'Vorige';
 $lang['Random photos'] = 'Willekeurige afbeeldingen';
-$lang['display a set of random photos'] = 'Toon een set van willekeurige afbeeldingen';
-$lang['Recent albums'] = 'Recente categorieën';
-$lang['display recently updated albums'] = 'toon recentelijk bijgewerkte categorieën';
+$lang['display a set of random photos'] = 'Toon een aantal willekeurige afbeeldingen';
+$lang['Recent albums'] = 'Recente albums';
+$lang['display recently updated albums'] = 'Toon de onlangs bijgewerkte albums';
 $lang['Recent period'] = 'Recente periode (aantal dagen)';
 $lang['Recent photos'] = 'Recente afbeeldingen';
-$lang['display most recent photos'] = 'toon meest recente afbeeldingen';
+$lang['display most recent photos'] = 'Toon de meest recente afbeeldingen';
 $lang['Redirection...'] = 'doorsturen...';
 $lang['Please, enter a login'] = 'Vul uw gebruikersnaam in aub.';
@@ -248,12 +248,12 @@
 $lang['please enter your password again'] = 'vul uw wachtwoord nogmaals in';
 $lang['Auto login'] = 'Auto login';
-$lang['remove this tag from the list'] = 'Verwijder deze tag van de lijst';
-$lang['representative'] = 'representatief';
-$lang['Search for Author'] = 'Zoek naar maker';
-$lang['Search in albums'] = 'Zoeken in categorieën';
+$lang['remove this tag from the list'] = 'Verwijder dit label uit de lijst';
+$lang['representative'] = 'album klikplaatje';
+$lang['Search for Author'] = 'Zoek naar fotograaf/maker';
+$lang['Search in albums'] = 'Zoeken in albums';
 $lang['Search by date'] = 'Zoeken op datum';
 $lang['Date'] = 'Begindatum';
 $lang['End-Date'] = 'Einddatum';
-$lang['Kind of date'] = 'Datumtype';
+$lang['Kind of date'] = 'Welke datum ?';
 $lang['Search for words'] = 'Zoek naar hele woorden';
 $lang['Search for all terms'] = 'Zoeken naar alle woorden';
@@ -261,8 +261,8 @@
 $lang['Empty query. No criteria has been entered.'] = 'Lege zoekopdracht. Er is niets ingevuld.';
 $lang['Search results'] = 'Zoekresultaten';
-$lang['Search in sub-albums'] = 'Zoeken in sub-categorieën';
+$lang['Search in sub-albums'] = 'Zoeken in sub-sub-albums';
 $lang['searched words : %s'] = 'zoekwoorden : %s';
 $lang['Contact'] = 'Contact';
-$lang['set as album representative'] = 'Stel in als standaard album';
+$lang['set as album representative'] = 'Stel in als album-klikplaatje';
 $lang['Show number of comments'] = 'Toon aantal commentaren';
 $lang['Show number of hits'] = 'Toon aantal bezoekers';
@@ -275,5 +275,5 @@
 $lang['the beginning'] = 'het begin';
 $lang['Interface theme'] = 'Thema';
-$lang['Thumbnails'] = 'Mini-afbeeldingen';
+$lang['Thumbnails'] = 'Klikplaatjes';
 $lang['Menu'] = 'Menu';
 $lang['A comment on your site'] = 'Commentaar op uw site';
@@ -286,5 +286,5 @@
 $lang['IP: %s'] = 'IP: %s';
 $lang['Browser: %s'] = 'Browser: %s';
-$lang['Author: %s'] = 'Fotograaf: %s';
+$lang['Author: %s'] = 'Fotograaf/Maker: %s';
 $lang['Comment: %s'] = 'Commentaar: %s';
 $lang['Comment by %s'] = 'Commentaar van %s';
@@ -297,5 +297,5 @@
 $lang['this email address is already in use'] = 'Een andere gebruiker maakt al gebruik van dit email-adres';
 $lang['Album results for'] = 'Album resultaten voor';
-$lang['Tag results for'] = 'Tag resultaten voor';
+$lang['Tag results for'] = 'Label-resultaten voor';
 $lang['from %s to %s'] = 'van %s tot %s';
 $lang['Play of slideshow'] = 'Diavoorstelling afspelen';
@@ -310,7 +310,7 @@
 $lang['%d photo']='%d afbeelding';
 $lang['%d photos']='%d afbeeldingen';
-$lang['%d photo is also linked to current tags'] = '%d afbeelding is ook gelinkt aan de actuele tags';
-$lang['%d photos are also linked to current tags'] = '%d afbeeldingen zijn ook gelinkt aan de actuele tags';
-$lang['display photos linked to this tag'] = 'Toon afbeeldingen gelinkt met deze tag';
+$lang['%d photo is also linked to current tags'] = '%d afbeelding is ook gelinkt aan het huidige label';
+$lang['%d photos are also linked to current tags'] = '%d afbeeldingen zijn ook gelinkt aan het huidige label';
+$lang['display photos linked to this tag'] = 'Toon de aan dit label gelinkte afbeeldingen';
 $lang['photos posted during the last %d days'] = 'Afbeeldingen de afgelopen %d dagen ontvangen';
 $lang['Piwigo Help'] = 'Piwigo Help';
@@ -319,11 +319,11 @@
 $lang['group by letters'] = 'gegroepeerd per letter';
 $lang['letters'] = 'letters';
-$lang['show tag cloud'] = 'Geef tag-wolk weer';
+$lang['show tag cloud'] = 'Geef label-wolk weer';
 $lang['cloud'] = 'wolk';
 $lang['Reset to default values'] = 'Reset naar standaardwaarden';
 $lang['delete all photos from your favorites'] = 'verwijder alle afbeeldingen van uw favorieten';
 $lang['Sent by'] = 'Verstuurd door';
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies worden geblokkeerd of worden niet ondersteund door uw browser. Om verbinding te kunnen maken dient u er voor te zorgen dat het gebruik van cookies mogelijk is.';
-$lang['Edit a comment'] = 'een commentaar wijzigen';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies worden geblokkeerd of worden niet ondersteund door uw browser. Indien u zich wilt aanmelden dient u er voor te zorgen dat het gebruik van cookies mogelijk is.';
+$lang['Edit a comment'] = 'Wijzig een commentaar';
 $lang['(!) This comment requires validation'] = '(!) Dit commentaar moet nog gevalideerd worden';
 $lang['Welcome'] = 'Welkom';
@@ -365,5 +365,5 @@
 $lang['small'] = 'klein';
 $lang['square'] = 'vierkant';
-$lang['thumb'] = 'thumb';
+$lang['thumb'] = 'klikplaatje';
 $lang['xlarge'] = 'extra-groot';
 $lang['xxlarge'] = 'extra-extra-groot';
@@ -408,5 +408,5 @@
 $lang['Piwigo encountered a non recoverable error'] = 'Piwigo heeft een onherstelbare fout ondervonden';
 $lang['Requested album does not exist'] = 'Het opgevraagde album bestaat niet';
-$lang['Requested tag does not exist'] = 'De opgevraagde tag bestaat niet';
+$lang['Requested tag does not exist'] = 'Het opgevraagde label bestaat niet';
 $lang['Email address is mandatory'] = 'Email adres is verplicht';
 $lang['Username is mandatory'] = 'Gebruikersnaam is verplicht';