Index: /extensions/ContactForm/language/fa_IR/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/fa_IR/plugin.lang.php	(revision 19910)
+++ /extensions/ContactForm/language/fa_IR/plugin.lang.php	(revision 19911)
@@ -21,38 +21,40 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['%s must not be less than %d characters long'] = '%s نباید از %d حرف کمتر باشد';
-$lang['%s must not be more than %d characters long'] = '%s نباید از %d حرف بیشتر باشد';
+$lang['%s must not be less than %d characters long'] = '%s نباید کمتر از %d نویسه باشد';
+$lang['%s must not be more than %d characters long'] = '%s نباید بیشتر از %d نویسه باشد';
 $lang['Active'] = 'فعال کردن';
-$lang['Add link in menu'] = 'افزودن یک لینک در منو';
+$lang['Add link in menu'] = 'افزودن یک پیوند در منو';
 $lang['Allow guests to see the form'] = 'مهمان ها بتوانند فرم را ببینند';
-$lang['E-mail address is mandatory'] = 'وارد کردن ایمیل الزامی است';
+$lang['E-mail address is mandatory'] = 'ایمیل باید نوشته شود';
 $lang['E-mail configuration'] = 'تنظیمات ایمیل';
 $lang['E-mail format :'] = 'فرمت ایمیل :';
 $lang['E-mail sent successfully'] = 'ایمیل با موفقیت فرستاده شد';
-$lang['Error while sending e-mail'] = 'خطا در هنگام فرستادن ایمیل';
-$lang['General configuration'] = 'تنظیمات کلی';
-$lang['Name is mandatory'] = 'وارد کردن نام الزامی است';
-$lang['No active email address'] = 'هیچ آدرس ایمیل فعال شده ای موجود نیست';
-$lang['Plain text'] = 'متن ساده';
-$lang['Please enter a message'] = 'پیام خود را وارد کنید';
-$lang['Please enter a name'] = 'نام خود را وارد کنید';
-$lang['Please enter a subject'] = 'موضوع را وارد کنید';
-$lang['Please enter an e-mail'] = 'ایمیل خود را وارد کنید';
-$lang['Text after the contact form'] = 'متنِ پس از فرمِ تماس';
-$lang['Text before the contact form'] = 'متنِ پیش از فرمِ تماس';
+$lang['Error while sending e-mail'] = 'خطا هنگام فرستادن ایمیل';
+$lang['General configuration'] = 'تنظیمات همگانی';
+$lang['Name is mandatory'] = 'نام باید نوشته شود';
+$lang['No active email address'] = 'هیچ آدرس ایمیلی فعال نیست';
+$lang['Plain text'] = 'نوشته‌ی ساده';
+$lang['Please enter a message'] = 'پیام خود را بنویسید';
+$lang['Please enter a name'] = 'نام خود را بنویسید';
+$lang['Please enter a subject'] = 'یک موضوع بنویسید';
+$lang['Please enter an e-mail'] = 'ایمیل خود را بنویسید';
+$lang['Text after the contact form'] = 'نوشته‌ی پس از فرمِ تماس';
+$lang['Text before the contact form'] = 'نوشته‌ی پیش از فرمِ تماس';
 $lang['Your e-mail'] = 'ایمیل شما';
 $lang['Your name'] = 'نام شما';
 $lang['Subject'] = 'موضوع';
 $lang['Message'] = 'پیام';
-$lang['Default e-mail subject'] = 'موضوع پیشفرض ایمیل';
+$lang['Default e-mail subject'] = 'موضوع پیش فرض ایمیل';
 $lang['+ Add an email'] = '+ افزودن یک ایمیل';
-$lang['Each category is displayed as a distinct "service" on the contact form (example: "Technical", "Commercial", "General question"). Using categories is not mandatory.'] = 'هر موضوع باید مشخص باشد مثلا:"خدمات" روی فرم تماس (به عنوان مثال: "فنی"، "تجاری"، "سوال عمومی).استفاده کردن از دسته بندی اجباری نیست';
-$lang['Category'] = 'شاخه';
-$lang['+ Add a category'] = 'اضافه کردن یک شاخه';
-$lang['Please choose a category'] = 'لطفا یک شاخه را انتخاب کنید';
-$lang['Prefix of the sent e-mail subject'] = 'پیشوند از موضوع ایمیل فرستاده می شود.';
-$lang['Redirect after sending email (optional)'] = 'تغییر مسیر بعد از ارسال ایمیل.اختیاری';
-$lang['Tip'] = 'سر قلم';
-$lang['can be translated with LocalFiles Editor plugin'] = 'میتوان با افزونه ویرایشگر localfiles ترجمه کنید';
-$lang['you can use "%gallery_title%"'] = 'تو میتوانی استفاده کنی از  "%gallery_title%" ';
+$lang['Each category is displayed as a distinct "service" on the contact form (example: "Technical", "Commercial", "General question"). Using categories is not mandatory.'] = 'هر دسته به عنوان یک "سرویس" جدا بر روی فرم نمایش داده می‌شود (برای نمونه: "فنی"، "بازرگانی"، "پرسش").استفاده کردن از دسته‌ها اجباری نیست.';
+$lang['Category'] = 'دسته';
+$lang['+ Add a category'] = '+ افزودن یک دسته';
+$lang['Please choose a category'] = 'یک دسته را انتخاب کنید';
+$lang['Prefix of the sent e-mail subject'] = 'پیشوند موضوع ایمیل فرستاده شده';
+$lang['Redirect after sending email (optional)'] = 'هدایت پس از فرستادن ایمیل (اختیاری)';
+$lang['Tip'] = 'نکته';
+$lang['can be translated with LocalFiles Editor plugin'] = 'می‌تواند با افزونه‌ی ویرایشگر LocalFiles ترجمه شود';
+$lang['you can use "%gallery_title%"'] = 'می‌توانید از "%gallery_title%" استفاده کنید';
+$lang['Send'] = 'فرستادن';
+$lang['Send copy to my email'] = 'یک نمونه از پیام به ایمیل خودم بفرست';
 ?>