Index: /extensions/gally/gally-default/language/pt_BR/index.php
===================================================================
--- /extensions/gally/gally-default/language/pt_BR/index.php	(revision 19931)
+++ /extensions/gally/gally-default/language/pt_BR/index.php	(revision 19931)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/gally/gally-default/language/pt_BR/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/pt_BR/theme.lang.php	(revision 19931)
+++ /extensions/gally/gally-default/language/pt_BR/theme.lang.php	(revision 19931)
@@ -0,0 +1,73 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['gally_defaultZoomSize_full'] = 'Tamanho Real (se a imagem não se ajusta a tela, é possível rolar horizontalmente e verticalmente)';
+$lang['gally_default_zoom_size_desc'] = 'Essa opção define o tipo de  exibição usado por padrão no lightbox quando uma imagem carregada é maior que o tamanho da tela';
+$lang['gally_display_banner_desc'] = 'Essa opção controla se o banner do sítio deve ser mostrado quando uma imagem é vista.';
+$lang['gally_display_high_res_click_mode_desc'] = 'Essa opção define como a interface se comporta quando você clica sobre uma imagem no lightbox';
+$lang['gally_image_auto_scroll_desc'] = 'Essa opção define como manusear a exibição de fotos grandes';
+$lang['gally_image_auto_scroll_warning'] = 'Essa função está automaticamente desabilitada para versões do MS Internet Explorer anteriores a 8';
+$lang['gally_image_auto_scroll_yes'] = 'Move automaticamente a imagem com o cursor';
+$lang['gally_image_interface_can_switch_desc'] = 'Essa opção define se a interface é mostrada continuamente ou se ela pode ser escondida';
+$lang['gally_image_interface_hidden_desc'] = 'Essa opção define se a interface já deve ser mostrada enquanto a página carrega';
+$lang['gally_img_high_res_desc'] = 'Essa página deixa você definir as propriedades da interface do usuário quando vendo uma imagem em uma lightbox';
+$lang['gally_img_other'] = 'Foto/Outro';
+$lang['gally_img_other_desc'] = 'Essa página deixa você definir várias propriedades da interface do usuário quando vendo uma foto';
+$lang['gally_meta_num_cols_desc'] = 'Essa opção define o número de colunas usadas para mostrar os metadados';
+$lang['gally_save_local_conf'] = 'Salva configurações';
+$lang['gally_interface_on_image'] = 'Mostra seta do mouse';
+$lang['gally_interface_on_image_always'] = 'Sempre';
+$lang['gally_interface_on_image_desc'] = 'Essa opção define quando a seta do mouse sobre a imagem será mostrada na interface';
+$lang['gally_interface_on_image_never'] = 'Nunca';
+$lang['gally_interface_on_image_noscroll'] = 'Somente se a foto for widescreen';
+$lang['gally_interface_timer_delay'] = 'Tempo esgotado';
+$lang['gally_interface_timer_delay_desc'] = 'Essa opção define o tempo necessário antes da interface ser escondida';
+$lang['gally_meta_num_cols'] = 'vendo metadados';
+$lang['gally_image_auto_scroll'] = 'Gerenciamento para imagens panorâmicas';
+$lang['gally_image_auto_scroll_no'] = 'Recorte manual da foto';
+$lang['gally_image_interface_can_switch'] = 'Modo de interface visível';
+$lang['gally_image_interface_hidden'] = 'Mostre página carregando';
+$lang['gally_image_interface_hidden_no'] = 'A interface é visível no carregamento da página';
+$lang['gally_image_interface_hidden_yes'] = 'A interface  não é visível no carregamento da página, será o primeiro evento após o carregamento.';
+$lang['gally_image_simulate_high_res'] = 'Simula a presença de uma imagem de alta resolução para imagens panorâmicas';
+$lang['gally_img_high_res'] = 'Ver Foto/Lightbox';
+$lang['gally_img_interface'] = 'Foto/Interface';
+$lang['gally_img_interface_desc'] = 'Essa página deixa você definir as propriedades da interface do usuário quando vê uma imagem';
+$lang['gally_displayHighResIcon_no'] = 'Não mostre ícone';
+$lang['gally_displayHighResIcon_yes'] = 'Mostre ïcone';
+$lang['gally_display_banner'] = 'Mostre Banner';
+$lang['gally_display_banner_alternate'] = 'Mostre um Banner alternativo';
+$lang['gally_display_banner_no'] = 'Não mostre Banner';
+$lang['gally_display_banner_yes'] = 'Mostre Banner';
+$lang['gally_display_high_res_click_mode'] = 'Ação associada com o lightbox';
+$lang['gally_image_interface_can_switch_no'] = 'A interface é sempre visível';
+$lang['gally_image_interface_can_switch_yes'] = 'A interface é visível somente sob regras definidas';
+$lang['gally_action_ko'] = 'A ação falhou';
+$lang['gally_action_ok'] = 'A ação funcionou';
+$lang['gally_alternate_banner_content'] = 'Conteúdo alternativo do Banner';
+$lang['gally_columns'] = 'Número de colunas';
+$lang['gally_defaultZoomSize_fit'] = 'A imagem está redimensionada para ser mostrada inteira na tela';
+$lang['gally_default_zoom_size'] = 'tamanho padrão do zoom';
+$lang['gally_display_high_res_icon'] = 'Ícone na barra de ferramenta';
+$lang['gally_highResClickMode_close'] = 'feche o lightbox';
+$lang['gally_highResClickMode_zoom'] = 'Mude o tipo de zoom (tamanho real/ redimensionado)';
+?>