Index: extensions/Shadogo/trunk/language/tr_TR/description.txt
===================================================================
--- extensions/Shadogo/trunk/language/tr_TR/description.txt	(revision 20023)
+++ extensions/Shadogo/trunk/language/tr_TR/description.txt	(revision 20023)
@@ -0,0 +1,1 @@
+Resimleri, videoları ve piwigo sayfalarını modal overlay içerisinde gösterir
Index: extensions/Shadogo/trunk/language/tr_TR/plugin.lang.php
===================================================================
--- extensions/Shadogo/trunk/language/tr_TR/plugin.lang.php	(revision 20023)
+++ extensions/Shadogo/trunk/language/tr_TR/plugin.lang.php	(revision 20023)
@@ -0,0 +1,56 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['shadogo_thumbnail_buttons_search'] = 'thumbnail_shadogo_buttons.tpl dosyası içeriği ile değiştirilecek şablon kodu';
+$lang['shadogo_thumbnail_hrefcontent_search'] = 'thumbnail_shadogo_buttons.tpl dosyası içeriği ile değiştirilecek şablon kodu';
+$lang['shadogo_overlay_addtobasket'] = 'Sepet yönetimini etkinleştir';
+$lang['shadogo_overlaylibs'] = 'Modal overlay kütüphanesini seçiniz';
+$lang['shadogo_thumbnail_contentpage_inoverlay'] = 'Overlay penceresinde içerik sayfasını göster';
+$lang['shadogo_thumbnail_content_inoverlay'] = 'Overlay penceresinde küçük resim (thumbnail) içeriğini göster';
+$lang['shadogo_thumbnail_content_icon'] = 'Göstergede içerik ikonunu göster';
+$lang['shadogo_overlay_download'] = 'HD resim indirmeyi etkinleştir';
+$lang['shadogo_note_warm_restore'] = 'Geri alınan yapılandırmayı kaydetmeyi unutmayın lütfen.';
+$lang['shadogo_mediaplayer_content'] = 'Yürütücüyü içerik sayfasında göster';
+$lang['shadogo_hdcontent_inoverlay'] = 'HD içeriği overlay penceresinde göster';
+$lang['shadogo_thumbnail_config'] = 'Küçük resim (thumbnail) yapılandırma';
+$lang['shadogo_slideshow_replacement'] = 'Slayt gösterisi kod değiştirme';
+$lang['shadogo_slideshow_pattern'] = 'Slayt gösterisi deseni';
+$lang['shadogo_slideshow_inoverlay'] = 'Slayt gösterisini overlay penceresinde göster';
+$lang['shadogo_slideshow_config'] = 'Slayt gösterisi yapılandırma';
+$lang['shadogo_save'] = 'Kaydet';
+$lang['shadogo_thumbnail_player_icon'] = 'Göstergede yürütücü ikonunu göster';
+$lang['shadogo_thumbnail_label'] = 'Pul resmi (thumbnail) etiketini göster';
+$lang['shadogo_restore'] = 'Varsayılan değerlere geri al';
+$lang['shadogo_play'] = 'Yürüt';
+$lang['shadogo_overlaythemes'] = 'Overlay penceresi teması';
+$lang['shadogo_overlay_hdpicture'] = 'HD resim görüntülemeyi etkinleştir';
+$lang['shadogo_overlay_favorites'] = 'Favori yönetimini etkinleştir';
+$lang['shadogo_overlay_config'] = 'Overlay penceresi yapılandırması';
+$lang['shadogo_hdcontent_replacement'] = 'HD kod değişimi';
+$lang['shadogo_mediafile_pattern'] = 'Ortam dosyası deseni';
+$lang['shadogo_mediaplayer_config'] = 'Ortam yürütücü yapılandırması';
+$lang['shadogo_hdcontent_pattern'] = 'HD içerik deseni';
+$lang['shadogo_hdcontent_config'] = 'HD içerik yapılandırması';
+$lang['shadogo_display_expert_params'] = 'Uzman parametrelerini göster';
+$lang['shadogo_content'] = 'İçeriği gör';
+$lang['shadogo_cancel'] = 'Vazgeç';
+?>