Index: extensions/GMaps/language/tr_TR/description.txt
===================================================================
--- extensions/GMaps/language/tr_TR/description.txt	(revision 20029)
+++ extensions/GMaps/language/tr_TR/description.txt	(revision 20029)
@@ -0,0 +1,1 @@
+Resim sayfasında GoogleMaps görüntülenir
Index: extensions/GMaps/language/tr_TR/plugin.lang.php
===================================================================
--- extensions/GMaps/language/tr_TR/plugin.lang.php	(revision 20029)
+++ extensions/GMaps/language/tr_TR/plugin.lang.php	(revision 20029)
@@ -0,0 +1,154 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['gmaps_displayTypeMP'] = 'Sayfada görüntülenecek fotoğraf (metadata olarak)';
+$lang['gmaps_gpc_not_up_to_date'] = 'Bu eklenti için <i>Grum Plugin Classes</i> uyarlama %s \'in yüklü olması gerekmektedir. Şu an, uyarlama %s kuruludur: <i>Grum Plugin Classes</i> \'ın yeni uyarlamasının yüklenmesi ile devam edin.';
+$lang['gmaps_kml_file_access'] = 'Harita üzerinde gösterilecek olan KML/KMZ dosyalarının Google sunucuları tarafından erişilebilirliği olmalıdır.';
+$lang['gmaps_icon_info'] = 'Eğer temanın seçilmiş olan ile aynı boyuta sahip bir simgesi zaten varsa, öncelikle uygulanacaktır.';
+$lang['gmaps_force_display'] = 'Hiçbir coğrafi etiketli fotoğraf olmasa bile görüntülenecek haritayı zorla';
+$lang['gmaps_i_boundmap'] = 'Tüm öğeleri görmek için haritanın boyutunu ayarlayın';
+$lang['gmaps_i_boundkml'] = 'Tümünü görebilmek için harita büyüklüğünü ayarlayın';
+$lang['gmaps_amd_warning_inactive'] = 'Uyarı! <br><br>Advanced Metadata Eklentisi %s yüklenmiş/etkinleştirilmiş olarak gözükmüyor: Haritalar bu eklenti yüklenip etkinleştirilmeden görüntülenemez.';
+$lang['gmaps_amd_warning_basic'] = 'Uyarı! <br><br> Advanced Metadata Eklentisi \'basic\' modda çalışıyor: kategorilere bağlantılı haritalar bu modda görüntülenemez.';
+$lang['To install this plugin, you need to install Advanced Metadata %s before'] = 'Bu eklentiyi yüklemek için önce Advanced Metadata %s eklentisini yüklemeniz, etkinleştirmeniz ve yapılandırmanız gerekmektedir.';
+$lang['gmaps_display_type_cannot_be_changed'] = 'Bu harita şu anda ilişkilendirilmiş, görüntüleme tipi değiştirilemez';
+$lang['gmaps_manage_assoc'] = 'İlişkilendirme Yönetimi';
+$lang['gmaps_error_code_aksf01'] = 'Bilinmeyen bir hata oluştu ... :-/';
+$lang['gmaps_interface_dimensions_a'] = 'Pencere büyüklüğünü ayarla';
+$lang['gmaps_kml_file_management'] = 'KML/KMZ dosyası yönetimi';
+$lang['gmaps_pleaseConfirmKml_1'] = 'KML/KMZ dosyası silinecek ve bunlara refere edilenler sıfırlanacaktır.';
+$lang['gmaps_pleaseConfirmMetadataDelete_1'] = 'Harita ve bağlı tüm ilişkilendirmeler silinecektir.';
+$lang['gmaps_popup_automatic_size'] = 'Otomatik büyüklük';
+$lang['gmaps_interface_dimensions_f'] = 'Sabit';
+$lang['gmaps_pleaseConfirmKml_2'] = 'Silineceğini onaylayın.';
+$lang['gmaps_pleaseConfirmMetadataDelete_2'] = 'Silineceğini onaylayın.';
+$lang['gmaps_maps'] = 'Harita';
+$lang['gmaps_maps_management'] = 'Haritaların yönetimi';
+$lang['gmaps_n'] = 'Hayır';
+$lang['gmaps_only_one_map_is_allowed_for_this_mode'] = 'Bu ilişkilendirme için ayarlar zaten var';
+$lang['gmaps_kml_file_selected'] = 'Yönetilen dosyalar arasından seçim yapın';
+$lang['gmaps_map_marker'] = 'Belirteç boyu';
+$lang['gmaps_map_title'] = 'Başlık';
+$lang['gmaps_map_associate_kmlfile'] = 'Bir KML/KMZ dosyası ilişkilendir';
+$lang['gmaps_map_kmlfile'] = 'KML/KMZ Dosyası';
+$lang['gmaps_map_id'] = 'Harita';
+$lang['gmaps_map_integration'] = 'Galeriye entegrasyon';
+$lang['gmaps_map_dimensions_are'] = 'Harita büyüklüğü:';
+$lang['gmaps_map_icon'] = 'İkon';
+$lang['gmaps_map'] = 'Harita';
+$lang['gmaps_mapType'] = 'Harita tipi';
+$lang['gmaps_map_assoc'] = 'Özellikler';
+$lang['gmaps_loading'] = 'Yükleniyor...';
+$lang['gmaps_kml_file_none'] = 'Hiçbiri';
+$lang['gmaps_kml_file_url'] = 'Bir URL girişi';
+$lang['gmaps_kml_files_management'] = 'KML/KMZ dosyaları yönetimi';
+$lang['gmaps_googleMapStreetView'] = 'Sokak Görünümü kontrolünü görüntüle';
+$lang['gmaps_geographic_coords_between'] = 'Coğrafi koordinatlar şunların arasında:';
+$lang['gmaps_file_is_not_kml_kmz'] = 'Dosya uzantısı geçersiz! Sadece KML ve KMZ dosyaları kabul edilmektedir.';
+$lang['gmaps_error_code_aksf10'] = 'Aynı isimdeki bir dosya zaten kullanılıyor';
+$lang['gmaps_error_code_aksf02'] = 'Dosya kaydedilirken bir hata oluştu';
+$lang['gmaps_action_was_stopped'] = 'Eylem şu sebepten dolayı kesintiye uğradı:';
+$lang['gmaps_0_picture'] = 'Bu coğrafi alanda hiç fotoğraf bulunmuyor';
+$lang['To install this plugin, you need to install Grum Plugin Classes %s before'] = 'Bu eklentiyi yüklemek için öncelikle Grum Plugin Classes %s yüklemeniz gerekmektedir';
+$lang['gmaps_i_centermap'] = 'Haritayı merkezle';
+$lang['gmaps_i_show_this_picture_in'] = 'Bu fotoğrafı kategorilerde göster:';
+$lang['gmaps_choose_geographic_area'] = 'Coğrafi alan seçin';
+$lang['gmaps_height'] = 'Yükseklik';
+$lang['gmaps_googleMapType_roadmap'] = 'Yol haritası';
+$lang['gmaps_googleMapType_satellite'] = 'Uydu';
+$lang['gmaps_googleMapType_terrain'] = 'Arazi';
+$lang['gmaps_googleMapTypeControl_0'] = 'Otomatik';
+$lang['gmaps_googleMapTypeControl_1'] = 'Yatay menü';
+$lang['gmaps_googleMapTypeControl_2'] = 'Popup menü';
+$lang['gmaps_googleMapType_hybrid'] = 'Hibrit';
+$lang['gmaps_googleMapNavigationControl_3'] = 'Büyük';
+$lang['gmaps_googleMapScaleControl'] = 'Ölçek';
+$lang['gmaps_googleMapTypeControl'] = 'Görüntü kontrolü';
+$lang['gmaps_googleMapTypeControl_-1'] = 'Hiçbiri';
+$lang['gmaps_add_geographic_area'] = 'Coğrafik bir alan ekle';
+$lang['gmaps_file_required'] = 'Bir dosyanın seçilmesi gereklidir!';
+$lang['gmaps_googleMapNavigationControl_0'] = 'Otomatik';
+$lang['gmaps_googleMapNavigationControl_1'] = 'Küçük';
+$lang['gmaps_googleMapNavigationControl_2'] = 'Android';
+$lang['gmaps_geolocation'] = 'Coğrafi konum';
+$lang['gmaps_googleMapNavigationControl'] = 'Yakınlaştırma seviye kontrolü';
+$lang['gmaps_googleMapNavigationControl_-1'] = 'Hiçbiri';
+$lang['gmaps_file'] = 'Dosya';
+$lang['gmaps_file_size'] = 'Dosya boyutu';
+$lang['gmaps_displayTypeShortIC'] = 'Kategori (lightbox)';
+$lang['gmaps_displayTypeShortIP'] = 'Fotoğraf (lightbox)';
+$lang['gmaps_displayTypeShortMP'] = 'Fotoğraf (metadata)';
+$lang['gmaps_add_a_new_association'] = 'Yeni ilişkilendirme ekle';
+$lang['gmaps_display_hidden'] = 'Gizli';
+$lang['gmaps_display_visible'] = 'Görünür';
+$lang['gmaps_east'] = 'Doğu';
+$lang['gmaps_edit'] = 'Düzenle';
+$lang['gmaps_config_map'] = 'Bir harita ayarla';
+$lang['gmaps_config_saved'] = 'Ayarlar kaydedildi';
+$lang['gmaps_displayTypeIC'] = 'Bir kategori sayfasında gösterilecek (lightbox)';
+$lang['gmaps_displayTypeIP'] = 'Bir fotoğraf sayfasında gösterilecek (lightbox)';
+$lang['gmaps_date'] = 'Tarih';
+$lang['gmaps_delete'] = 'Sil';
+$lang['gmaps_deleteAssoc'] = 'Bir ilişkilendirmeyi sil';
+$lang['gmaps_deleteKml'] = 'KML/KMZ dosyası sil';
+$lang['gmaps_deleteMap'] = 'Bir harita sil';
+$lang['gmaps_dimensions'] = 'Boyutlar';
+$lang['gmaps_displayType'] = 'Görüntüleme tipi';
+$lang['gmaps_1_picture'] = '1 fotoğraf';
+$lang['gmaps_and'] = 've';
+$lang['gmaps_apply'] = 'Uygula';
+$lang['gmaps_applyForAllTheGallery'] = 'Tüm galeri';
+$lang['gmaps_apply_subcat'] = 'Alt kategorilere uygula';
+$lang['gmaps_apply_zoomLevel_max'] = 'En fazla yakınlaştırmayı uygula';
+$lang['gmaps_associate_category_maps'] = 'Harita ilişkilendir';
+$lang['gmaps_auto'] = 'Otomatik';
+$lang['gmaps_cancel'] = 'Vazgeç';
+$lang['gmaps_category'] = 'Kategori';
+$lang['gmaps_config'] = 'Yapılandırma';
+$lang['gmaps_add_a_new_kmlFile'] = 'Bir KML/KMZ dosyası ekle';
+$lang['gmaps_add_a_new_map'] = 'Bir harita ekle';
+$lang['gmaps_properties_general'] = 'Özellikler';
+$lang['gmaps_properties_mapType'] = 'Görüntüleme yönetimi';
+$lang['gmaps_properties_zoomLevel'] = 'Yakınlaştırma yönetimi';
+$lang['gmaps_nb_assoc'] = 'Atamalar';
+$lang['gmaps_of_window_size'] = 'gezgin penceresi büyüklüğü';
+$lang['gmaps_pleaseConfirmDeletingAssoc'] = 'Atamanın silinmesini onaylayın';
+$lang['gmaps_pleaseConfirmKml'] = 'Silinmesini onaylayın.';
+$lang['gmaps_name'] = 'İsim';
+$lang['gmaps_nb_pictures'] = '%s fotoğraf';
+$lang['gmaps_north'] = 'Kuzey';
+$lang['gmaps_of_lat'] = 'enlem için';
+$lang['gmaps_of_lng'] = 'boylam için';
+$lang['gmaps_ok'] = 'Tamam';
+$lang['gmaps_picture'] = 'Fotoğraf';
+$lang['gmaps_release'] = 'r';
+$lang['gmaps_search'] = 'Ara';
+$lang['gmaps_search_by_geographic_area'] = 'Bölgeye göre ara';
+$lang['gmaps_south'] = 'Güney';
+$lang['gmaps_view_map'] = 'Fotoğrafı bir haritaya yerleştirin';
+$lang['gmaps_warning'] = 'Uyarı';
+$lang['gmaps_west'] = 'Batı';
+$lang['gmaps_width'] = 'Genişlik';
+$lang['gmaps_y'] = 'Evet';
+$lang['gmaps_zoomLevel'] = 'Yakınlaştırma seviyesi';
+$lang['gmaps_zoomLevel_max'] = 'En fazla yakınlaştırma seviyesi';
+?>